<!DOCTYPE html>
<html>
<head>
	<title>Dependent select box</title>
	<link rel="stylesheet" type="text/css" href="<?= base_url("Assets/bootstrap/css/bootstrap.min.css"); ?>">
	  
	 <script src="<?= base_url("Assets/jquery/jquery.min.js"); ?>"></script>
    <script src="<?= base_url("Assets/bootstrap/js/bootstrap.bundle.min.js"); ?>"></script>
    <script type="text/javascript">
$(document).ready(function()
{
	$(".country").change(function()
	{
		var id=$(this).val();
		var dataString = 'id='+ id;
	
		$.ajax
		({
			type: "POST",
			url: '<?php echo base_url(); ?>/select_box/get_state',
			data: dataString,
			cache: false,
			success: function(html)
			{
				$(".state").html(html);
			} 
		});
	});
	
	
	$(".state").change(function()
	{
		var id=$(this).val();
		var dataString = 'id='+ id;
	
		$.ajax
		({
			type: "POST",
			url: '<?php echo base_url(); ?>/select_box/get_city',
			data: dataString,
			cache: false,
			success: function(html)
			{
				$(".city").html(html);
			} 
		});
	});
	
});
</script>
</head>
<body>

<div align="center" class="container">

<h3>Dependent Select box using jquery in codeigniter</h3>
	<div class="row">
	<div class="col-md-3"></div>
		<div class="col-md-6">
				<div class="form-group">
				    <label for="exampleFormControlSelect1">Country</label>
				    <select class="form-control country" id="exampleFormControlSelect1">
				      <option selected hidden>Select Country</option>
						<?php foreach ($all_countries as $value) {
							# code...
							?>
						 <option value="<?php echo $value->id; ?>"><?php echo $value->name.'-'.$value->sortname; ?></option>
							<?php
						} 

						?> 
				    </select>
				  </div>

				  <div class="form-group">
				    <label for="exampleFormControlSelect1">State</label>
				    <select class="form-control state" id="exampleFormControlSelect1">
				      <option selected hidden>Select State</option>
				    </select>
				  </div>

				  <div class="form-group">
				    <label for="exampleFormControlSelect1">City</label>
				    <select class="form-control city" id="exampleFormControlSelect1">
					 <option selected hidden>Select City</option>
				    </select>
				  </div>
		</div>
	</div>
</div>
</body>
</html>